from abc import ABC, abstractmethod
from typing import List, Dict

import numpy as np


class EmbeddingTransformer(ABC):

    @abstractmethod
    def get_embeddings(self, words: List[str]) -> Dict[str, np.ndarray]:
        pass

    @abstractmethod
    def get_embedding(self, word: str) -> np.ndarray:
        pass
