from dataclasses import dataclass


@dataclass(frozen=True)
class Span:
    index_start: int
    index_end: int

    def _is_index_belong(self, index: int) -> bool:
        return self.index_start <= index < self.index_end

    def get_reference_weights_table(self, total_size: int):
        return [
            1 if self._is_index_belong(it) else 0
            for it in range(total_size)
        ]
